{% extends 'mps.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet tf-master 7008'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}

{% set hard_reset_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command reboot --port 22 --delay 20' %}
{% set power_off_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command off --port 22' %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command on --port 22' %}

{% set usb_filesystem_label = 'V2M_MPS2-02' %}
{% set device_info = "[{'fs_label': 'V2M_MPS2-02'}]" %}

{% set action_timeout_pdu_reboot = 60 %}
{% set action_timeout_reset_device = 60 %}
{% set kernel_start_message = '' %}
{% set mps_hard_reboot = True %}

{% set flasher_deploy_commands = ['/usr/local/bin/sd-mux-ctrl -e 000000000356 --ts',
                                  'sleep 5',
                                  'mkdir -p /tmp/sdmux356',
                                  'bash -c "umount /dev/disk/by-id/usb-LinuxAut_sdmux_HS-SD_MMC_000000000356-0:0-part1 || true"',
                                  'mkfs.vfat /dev/disk/by-id/usb-LinuxAut_sdmux_HS-SD_MMC_000000000356-0:0-part1',
                                  'mount /dev/disk/by-id/usb-LinuxAut_sdmux_HS-SD_MMC_000000000356-0:0-part1 /tmp/sdmux356',
                                  'tar --no-same-owner -C /tmp/sdmux356 -xvf {RECOVERY_IMAGE}',
                                  'bash -lc "cp -v test_*/*.bin /tmp/sdmux356"',
                                  'umount /dev/disk/by-id/usb-LinuxAut_sdmux_HS-SD_MMC_000000000356-0:0-part1',
                                  'sleep 1',
                                  '/usr/local/bin/sd-mux-ctrl -e 000000000356 --dut',
                                  'sleep 5'] %}

{% set sync_to_lava = {'device_type': 'mps', 'worker': 'tf-master.tflab', 'tags': [], 'aliases': []} %}